> ## Documentation Index
> Fetch the complete documentation index at: https://docs.workfloo.ws/llms.txt
> Use this file to discover all available pages before exploring further.

# Authentication

> How to authenticate request using API key

<Info>
  ### TL;DR

  Include the `x-api-key` header in every request with your API key that you can find in your account dashboard.
</Info>

## How to authenticate

All API endpoints require authentication via an API key, which must be included in the `x-api-key` header of your HTTP request. You can obtain your API key from your Workfloows account dashboard.

Include the header in every request as follows:

* **Header name:** `x-api-key`
* **Header value:** Your personal API key (e.g., `x-api-key: YOUR_API_KEY`)

Requests without a valid API key will be rejected with a 401 Unauthorized error.

## Test request

You can test your API key by sending a simple request to [the test endpoint](/api-reference/endpoint/get) called `/ping`.

<Tip>
  Endpoint `/ping` is free to use and does not count towards your usage (rate limits apply).
</Tip>

```bash theme={null}
curl -X GET "https://api.workfloo.ws/v0/ping" \
     -H "x-api-key: YOUR_API_KEY"
```

In response, you should receive a JSON object with a `message` field set to `pong`.

```json theme={null}
{
  "message": "pong"
}
```

## Key management

You can manage your API keys in your Workfloows account dashboard.
